Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000270 [Piwigo] metadata feature always 2006.01.23 23:10 2011.02.03 09:21
Reporter sbeck92 View Status public  
Assigned To plg
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC2 Product Version 1.5.2
  Target Version 2.2.0RC2 Product Build
Summary 0000270: the photo creation time is missing
Description Would it be possible to modify Piwigo so that EXIF synchronization stores the time and not only the date?

When reading Piwigo code and data model (tables in the database), we can see that images.date_creation has the "DATE" datatype and that PHP code which reads the EXIF date only take year/month/day into account.

This would make it possible to sort photos by time in a given category.

Thank you.
Steps To Reproduce
Additional Information Discussion on the french forum: http://forum.phpwebgallery.net/viewtopic.php?id=5544 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
has duplicate 0000473closed tri par date_creation de photos prises le meme jour 
has duplicate 0000561closed ORDER BY date_creation doesn't work 

-  Notes
(0000965)
chrisaga (developer)
2006.05.16 14:21
edited on: 2010.09.01 20:26

Good idea, only if we keep a correct behavior for photos which have no time. This is often the case for old printed photos that were digitalized.

(0000967)
mathiasm (manager)
2006.05.16 17:29
edited on: 2010.09.01 20:27

If the time is missing, let's give a default value such as 12:00 or 00:00

(0000971)
rub (developer)
2006.05.16 22:54
edited on: 2010.09.01 20:27

I would even say "if no time use $conf['default_value']..."

(0002284)
mathiasm (manager)
2008.07.05 02:08
edited on: 2010.09.01 20:27

A fix is available in issue 0000473

(0004779)
svn (reporter)
2011.02.03 09:18

[Subversion] r9073 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 270 fixed: (yes "270", submitted in 2006), time (hour:minute:second) added
in the date_creation field and in the synchronization from EXIF metadata.

- Issue History
Date Modified Username Field Change
2006.01.23 23:10 sbeck92 New Issue
2006.01.23 23:10 sbeck92 browser => any
2006.01.23 23:10 sbeck92 Web server => Apache 1.3.x
2006.05.16 14:21 chrisaga Note Added: 0000965
2006.05.16 17:29 mathiasm Note Added: 0000967
2006.05.16 22:54 rub Note Added: 0000971
2006.07.16 17:16 chrisaga Relationship added has duplicate 0000473
2006.10.18 07:51 chrisaga Relationship added has duplicate 0000561
2008.07.05 02:08 mathiasm Note Added: 0002284
2008.07.05 02:08 mathiasm Status new => confirmed
2009.03.05 21:22 plg Priority normal => high
2009.03.05 21:22 plg Target Version => 2.0.1
2009.03.25 10:17 nikrou Status confirmed => assigned
2009.03.25 10:17 nikrou Assigned To => nikrou
2010.09.01 20:25 plg Target Version 2.0.1 => 2.2
2010.09.01 20:25 plg Summary Pas de prise en compte de l'heure de création (prise de vue) d'une photo => the photo creation time is missing
2010.09.01 20:25 plg Description Updated
2010.09.01 20:25 plg Additional Information Updated
2010.09.01 20:26 plg Note Edited: 0000965
2010.09.01 20:27 plg Note Edited: 0000967
2010.09.01 20:27 plg Note Edited: 0000971
2010.09.01 20:27 plg Note Edited: 0002284
2010.09.03 13:31 nikrou Assigned To nikrou =>
2011.01.18 15:52 plg Target Version 2.2.0RC1 => 2.2.0RC2
2011.02.03 09:18 svn Checkin
2011.02.03 09:18 svn Note Added: 0004779
2011.02.03 09:21 plg Assigned To => plg
2011.02.03 09:21 plg Status assigned => closed
2011.02.03 09:21 plg Resolution open => fixed
2011.02.03 09:21 plg Fixed in Version => 2.2.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker